%{?nodejs_find_provides_and_requires}

%global packagename minimalistic-assert
%global enable_tests 1

Name:		nodejs-minimalistic-assert
Version:	1.0.0
Release:	1%{?dist}
Summary:	A minimalistic assert library

License:	ISC
URL:		https://github.com/calvinmetcalf/minimalistic-assert
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/calvinmetcalf/minimalistic-assert/master/LICENSE

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
%{SUMMARY}.


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[103m -=#=- No tests specified -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
